package czerwony.kapturek.jbcolumn;

import com.borland.primetime.editor.*;

/**
 * OpenTool that provides some actions for better emulating Brief editor.
 */
public class ColumnSelectionTool
{
    private static ColumnSelectionTool I = null;
    private ColumnActions ba;

    public static void initOpenTool( byte major, byte minor )
    {
        I = new ColumnSelectionTool();
    }

    public ColumnSelectionTool()
    {
        ba = new ColumnActions();
        initActions();
        printWelcomeMessage();
    }


    private void printWelcomeMessage()
    {
        System.out.println(
            "**********************************************************************\n" +
            "**  Initializing: jbColumn (v0.1)                                   **\n" +
            "**                by Czerwony Kapturek (czerwony.kapturek@wp.pl)    **\n" +
            "**********************************************************************"
        );
    }


    private void initActions()
    {
        EditorAction[] a = ba.getActions();
        for (int i = 0; i < a.length; EditorActions.addBindableEditorAction(a[i++]));
    }

}